<!DOCTYPE html>
<html lang="en" class="single tile  play ongoing">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">


<link rel="stylesheet" href="https://nonlinear.nyc/css/main.cdbb272944a09e404f74f3781e5fceaa83b40a111ffdcc00319ae4609a76a362.css">

	<title>Nicholas Frota</title>
</head>
<body>

<article class="container">

 
          
	<h1>Vector tile library</h1>
<p>A vector pattern library mixin</p>
<h2>How to use</h2>
<ol>
	<li><a href="https://gitlab.com/nonlinear.nyc/nonlinear.nyc.gitlab.io/-/raw/main/assets/css/tile.scss?ref_type=heads&inline=false">Download</a> and reference <tt>tile.scss</tt> on your <tt>scss/sass</tt> flow</li>
	<li>summon mixin with <tt>@include tile($type, $color, $size)</tt> with:
		<ul>
			<li><tt>$type</tt> (required) as any type below</li>
			<li><tt>$color</tt> (optional) as pattern color</li>
			<li><tt>$size</tt> (optional) as size (play around)</li>
		</ul>
	</li>
</ol>
<section class="cross">
<h1>
<ul class="tile">
	<li><span>.cross-a</span></li>
	<li><span>.cross-b</span></li>
	<li><span>.cross-c</span></li>
</ul>
</section>

<section class="dots">

<ul class="tile">
	<li><span>.dots-a</span></li>
	<li><span>.dots-b</span></li>
	<li><span>.dots-c</span></li>
</ul>
</section>
<section class="grid">

<ul class="tile">
	<li><span>.grid</span></li>
</ul>
</section>
<section class="lines">

<ul class="tile">
	<li><span>.lines-a</span></li>
	<li><span>.lines-b</span></li>
	<li><span>.lines-c</span></li>
</ul>
</section>
<section class="lines-down">

<ul class="tile">
	<li><span>.lines-down-a</span></li>
	<li><span>.lines-down-b</span></li>
	<li><span>.lines-down-c</span></li>
</ul>
</section>

<section class="lines-up">

<ul class="tile">
	<li><span>.lines-up-a</span></li>
	<li><span>.lines-up-b</span></li>
	<li><span>.lines-up-c</span></li>
</ul>
</section>

<section class="lines-vert">

<ul class="tile">
	<li><span>.lines-vert-a</span></li>
	<li><span>.lines-vert-b</span></li>
	<li><span>.lines-vert-c</span></li>
</ul>
</section>
<h2>TODO</h2>
<p>Some colors are not passsing on. Investigate.</p>

<p class="footer">A <a href="http://nonlinear.nyc">Nonlinear</a> project. Contact <a href="mailto:info@nicholasfrota.com">Nicholas Frota</a> for any questions.</p>

</article>


</body>
</html>